///File : MainPanel.hpp
//------------------------------------------------------------------------------
/*
    This file is part of resistancevalue.

    Resistancevalue is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Resistancevalue is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with resistancevalue.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/event.h>
#include <wx/stdpaths.h>
//------------------------------------------------------------------------------
#include "config.hpp"
//------------------------------------------------------------------------------

#if not defined MAIN_PANEL_HPP_RESISTANCE_VALUE
#define MAIN_PANEL_HPP_RESISTANCE_VALUE

class PanelResistanceColorToValue : public wxPanel
{
public:
    PanelResistanceColorToValue(wxWindow* parent, wxWindowID id = wxID_ANY, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL );
    void OnBitmapBt1(wxCommandEvent &event);
    void OnBitmapBt2(wxCommandEvent &event);
    void OnBitmapBt3(wxCommandEvent &event);
    void OnBitmapBt4(wxCommandEvent &event);
private:
    wxTextCtrl* m_TextInfoResistance;
    wxImage ImgResistance;
    wxStaticBitmap* m_ImgResistance;
    wxStaticText *m_staticText1, *m_staticText2,* m_staticText3, *m_staticText4;
    wxBitmapButton *m_BitmapBtColor1, *m_BitmapBtColor2, *m_BitmapBtColor3, *m_BitmapBtColor4;
    int m_colorNumberBand[4];
    wxImage m_ImagesForButtons[13]; // 10 imgs diff pour les 3 1ére bande + 3 autre pr la 4é.

    void initBitmap();
    void drawBitmapButton();

    enum{Id_Bitmap_Bt_Color_1, Id_Bitmap_Bt_Color_2, Id_Bitmap_Bt_Color_3, Id_Bitmap_Bt_Color_4};

    DECLARE_EVENT_TABLE()
};
//------------------------------------------------------------------------------
class PanelResistanceValueToColor : public wxPanel
{
public:
    PanelResistanceValueToColor(wxWindow* parent, wxWindowID id = wxID_ANY, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL );
    void OnChoice(wxCommandEvent& event);

private:
    wxStaticText *m_staticText1, *m_staticText2,* m_staticText3, *m_staticText4;
    wxChoice *m_ChoiceBand1, *m_ChoiceBand2, *m_ChoiceBand3, *m_ChoiceBand4;
    wxStaticBitmap* m_ImgResistance;
    //wxTextCtrl* m_TextInfoResistance;
    wxImage ImgResistance;

    enum{wxId_Choice};

    DECLARE_EVENT_TABLE()
};

#endif //MAIN_PANEL_HPP_RESISTANCE_VALUE
